Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004877 [JEDI VCL] 00 JVCL Components tweak always 2009-07-27 10:56 2009-08-23 13:55
Reporter ZENsan View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004877: TJvRichEditToHtml under Delphi 2009
Description 1) header, Footer properties are not saved in DFM file (always are default values)
2) I suggest a small change for Delphi 2009 (at least) in ConvertToHTML function, because if not this way, then when I convert "???????" - it's totally corrupt the original string when converting it to entities (Diff file for this issue is attached).
Additional Information
Tags No tags attached.
Attached Files ? file icon jvRichEditToHtml.diff [^] (986 bytes) 2009-07-27 10:56
zip file icon Projects.zip [^] (5,780 bytes) 2009-08-04 15:52
? file icon JvRichEditToHtml - new.diff [^] (1,204 bytes) 2009-08-04 15:53

- Relationships

-  Notes
(0015894)
ZENsan (reporter)
2009-07-27 11:04

???? - that was russian text...
(0015909)
obones (administrator)
2009-08-04 09:39

Please provide the zipped sources of a sample application showing this.
(0015917)
ZENsan (reporter)
2009-08-04 15:54

And try to set header and Footer to Empty - it is immpossible.
We need to set for properties Header, Footer
property Header/Footer.... stored True;

So that this properties are always stored or write function which compare that values with defaults.
(0015995)
ZENsan (reporter)
2009-08-13 16:00

More info required for this report?
(0016009)
AHUser (developer)
2009-08-23 13:55

Patch applied to SVN.

Empty Header/Footer are now written to the DFM. (TStrings.DefineProperties doesn't write empty string lists, so I had to "reimplement" it for empty string lists)

- Issue History
Date Modified Username Field Change
2009-07-27 10:56 ZENsan New Issue
2009-07-27 10:56 ZENsan File Added: jvRichEditToHtml.diff
2009-07-27 11:04 ZENsan Note Added: 0015894
2009-08-04 09:39 obones Note Added: 0015909
2009-08-04 09:39 obones Status new => feedback
2009-08-04 15:52 ZENsan File Added: Projects.zip
2009-08-04 15:53 ZENsan File Added: JvRichEditToHtml - new.diff
2009-08-04 15:54 ZENsan Note Added: 0015917
2009-08-13 16:00 ZENsan Note Added: 0015995
2009-08-23 13:55 AHUser Note Added: 0016009
2009-08-23 13:55 AHUser Status feedback => resolved
2009-08-23 13:55 AHUser Fixed in Version => Daily / SVN
2009-08-23 13:55 AHUser Resolution open => fixed
2009-08-23 13:55 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker